# Coveo CategoryFacet Component (CoveoCategoryFacet)

## Index

### Methods

- changeActivePath
- debugInfo
- debugValue
- deselectCurrentValue
- disable
- enable
- getAvailableValues
- getBindings
- getCaption
- getVisibleParentValues
- hide
- reload
- reset
- selectValue
- show
- showLess
- showMore
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- basePath
- debug
- delimitingCharacter
- dependsOn
- dependsOnCondition
- displaySearchButton
- displaySearchOnTop
- enableFacetSearch
- enableMoreLess
- facetSearchDelay
- field
- id
- injectionDepth
- maximumDepth
- numberOfResultsInFacetSearch
- numberOfValues
- pageSize
- title
- valueCaption

### Constructors

- constructor

## Methods

### changeActivePath

- changeActivePath(path: string[]): void

- - Defined in ui/CategoryFacet/CategoryFacet.ts :512

  #### Parameters

  - ##### path: string[]

  #### Returns void

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### debugValue

- debugValue(value: string): Promise<void>

- - Defined in ui/CategoryFacet/CategoryFacet.ts :675

  #### Parameters

  - ##### value: string

  #### Returns Promise<void>

### deselectCurrentValue

- deselectCurrentValue(): void

- - Defined in ui/CategoryFacet/CategoryFacet.ts :621

  #### Returns void

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### getAvailableValues

- getAvailableValues(): object[]

- - Defined in ui/CategoryFacet/CategoryFacet.ts :589

  #### Returns object[]

  simple object with three fields: `value`, `count` and `path`.

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### getCaption

- getCaption(value: string): string

- - Defined in ui/CategoryFacet/CategoryFacet.ts :687

  #### Parameters

  - ##### value: string

  #### Returns string

### getVisibleParentValues

- getVisibleParentValues(): CategoryValueDescriptor[]

- - Defined in ui/CategoryFacet/CategoryFacet.ts :538

  #### Returns CategoryValueDescriptor[]

  simple object with three fields: `value`, `count` and `path`.

### hide

- hide(): void

- - Defined in ui/CategoryFacet/CategoryFacet.ts :649

  #### Returns void

### reload

- reload(): void

- - Defined in ui/CategoryFacet/CategoryFacet.ts :528

  #### Returns void

### reset

- reset(): void

- - Defined in ui/CategoryFacet/CategoryFacet.ts :640

  #### Returns void

### selectValue

- selectValue(value: string): void

- - Defined in ui/CategoryFacet/CategoryFacet.ts :606

  #### Parameters

  - ##### value: string

  #### Returns void

### show

- show(): void

- - Defined in ui/CategoryFacet/CategoryFacet.ts :656

  #### Returns void

### showLess

- showLess(): void

- - Defined in ui/CategoryFacet/CategoryFacet.ts :576

  #### Returns void

### showMore

- showMore(): void

- - Defined in ui/CategoryFacet/CategoryFacet.ts :561

  #### Returns void

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### basePath

basePath: string[]

- Defined in ui/CategoryFacet/CategoryFacet.ts :231

### debug

debug: boolean

- Defined in ui/CategoryFacet/CategoryFacet.ts :244

Markup configuration example(s) :

    data-debug='true'
    data-debug='false'

### delimitingCharacter

delimitingCharacter: string

- Defined in ui/CategoryFacet/CategoryFacet.ts :209

Markup configuration example(s) :

    data-delimiting-character='foo'

### dependsOn

dependsOn: string

- Defined in ui/CategoryFacet/CategoryFacet.ts :293

Markup configuration example(s) :

    data-depends-on='foo'

### dependsOnCondition

dependsOnCondition: IDependentFacetCondition

- Defined in ui/CategoryFacet/CategoryFacet.ts :305

### displaySearchButton

displaySearchButton: boolean

- Defined in ui/CategoryFacet/CategoryFacet.ts :322

Markup configuration example(s) :

    data-display-search-button='true'
    data-display-search-button='false'

### displaySearchOnTop

displaySearchOnTop: boolean

- Defined in ui/CategoryFacet/CategoryFacet.ts :316

Markup configuration example(s) :

    data-display-search-on-top='true'
    data-display-search-on-top='false'

### enableFacetSearch

enableFacetSearch: boolean

- Defined in ui/CategoryFacet/CategoryFacet.ts :141

Markup configuration example(s) :

    data-enable-facet-search='true'
    data-enable-facet-search='false'

### enableMoreLess

enableMoreLess: boolean

- Defined in ui/CategoryFacet/CategoryFacet.ts :188

Markup configuration example(s) :

    data-enable-more-less='true'
    data-enable-more-less='false'

### facetSearchDelay

facetSearchDelay: number

- Defined in ui/CategoryFacet/CategoryFacet.ts :180

Markup configuration example(s) :

    data-facet-search-delay='10'

### field

field: IFieldOption

- Defined in ui/CategoryFacet/CategoryFacet.ts :115

Markup configuration example(s) :

    data-field='@foo'

### id

id: string

- Defined in ui/CategoryFacet/CategoryFacet.ts :151

Markup configuration example(s) :

    data-id='foo'

### injectionDepth

injectionDepth: number

- Defined in ui/CategoryFacet/CategoryFacet.ts :163

Markup configuration example(s) :

    data-injection-depth='10'

### maximumDepth

maximumDepth: number

- Defined in ui/CategoryFacet/CategoryFacet.ts :238

Markup configuration example(s) :

    data-maximum-depth='10'

### numberOfResultsInFacetSearch

numberOfResultsInFacetSearch: number

- Defined in ui/CategoryFacet/CategoryFacet.ts :170

Markup configuration example(s) :

    data-number-of-results-in-facet-search='10'

### numberOfValues

numberOfValues: number

- Defined in ui/CategoryFacet/CategoryFacet.ts :130

Markup configuration example(s) :

    data-number-of-values='10'

### pageSize

pageSize: number

- Defined in ui/CategoryFacet/CategoryFacet.ts :195

Markup configuration example(s) :

    data-page-size='10'

### title

title: string

- Defined in ui/CategoryFacet/CategoryFacet.ts :121

Markup configuration example(s) :

    data-title='foo'

### valueCaption

valueCaption: IStringMap<string>

- Defined in ui/CategoryFacet/CategoryFacet.ts :284

## Constructors

### constructor

- new CategoryFacet(element: HTMLElement, type: string, bindings?: IComponentBindings): CategoryFacet

- Inherited from Component.constructor

  - Defined in ui/Base/Component.ts :296

  #### Parameters

  - ##### element: HTMLElement

  - ##### type: string

  - ##### Default value bindings: IComponentBindings = {}

  #### Returns CategoryFacet

### Implements

- IAutoLayoutAdjustableInsideFacetColumn